About Program

Any Password 1.42, Copyright © 2001-2004 RomanLab Software.

Programming and design: Roman Nikolaev.

Any Password is free for individual and not-for-profit charitable entity use. If you are licensing the program on behalf of a for-profit entity, governmental entity, or educational institution, you must register it.

You can download the latest version of the program from the Any Password home page: www.anypassword.com.

If you have any suggestions, comments, or bug reports, please contact us.

Please read about our other software here.


Introduction

Any Password is an easy-to-use tool that lets you store and arrange all your passwords, user IDs, and related information in a tree form. The program saves this information in encrypted files which can be protected by a password. So, the only thing you need to remember is the password for the file. Any Password can also generate random passwords with specified parameters (length, used characters, etc.). You can find any stored information using the incremental search feature.

Main features:

  • Hierarchical data structure. You can arrange an unlimited number of records using the nested folders. All records are represented in a tree form.
  • Strong encryption algorithm. The program encrypts data files using IDEA/MD5 algorithms. So, unauthorized access to the files is practically impossible.
  • Incremental search. You can easily find a record by entering a substring into the search field.
  • Password generator allows you to generate unique passwords. You can specify the characters that will be used in the passwords and set any password length.
  • Multiuser interface. The program can be used by several people. Each person can have one or several data files.


What's New

Version 1.42:
Faster file opening
Masked password copying and cutting bug fixed
Tab order in the "Save as" dialog corrected

Version 1.41:
Alphabetical order in the language list
"Cancel" button in the "Master Password" dialog added
Maximum transparency level limited to 90%
Clipboard bug fixed
Some small improvements

Version 1.4:
Multilingual user interface
Folder comment field
Read only mode
Import/export format changed
"Find next" button
"Transparency" option
"Confirm delete" option
Many other improvements and bugfixes

Version 1.31:
"Find next" command
"Hide on copy" option
Paste buttons removed
Small interface bug fixed

Version 1.3:
Changed license agreement
Some small improvements

Version 1.21:
Extended context menus
Several bugs fixed

Version 1.2:
Menu bar
Import and export in CSV file format
File name in the File Password dialog
"Clear Clipboard" option

Version 1.1:
File password confirmation
Drag'n'drop support
"Mask password field" option
"Always on top" option
"Minimize to tray icon" option
"Shortcut" option
Some small improvements

Version 1.01:
"Modified" section added in the status bar
"Create Quick Launch icon" option added in the setup wizard
Enhanced layout of the record fields
Several bugs fixed

Version 1.0:
Improved interface
More help information
Several bugs fixed

Version 0.95 beta:
First public beta


Other Software

1st Calculator

1st Calculator is an expression calculator and unit converter that allows you to directly enter an expression to be evaluated. It is a handy and nice replacement for the standard Windows calculator. Main features: fully customizable interface with skins; it is called by pressing just one button; all arithmetic operations, more than 20 functions; editable lists of constants and unit conversions; recalling previously calculated expressions; five result formats with changeable precision; automatic clipboard copy/paste; minimizes to the system tray.

You can read more about 1st Calculator and download it at www.romanlab.com/1stcalc.

3D Grapher

3D Grapher is a feature-rich yet easy-to-use graph plotting and data visualization software suitable for students, engineers and everybody who needs to work with 2D and 3D graphs. With 3D Grapher you can easily plot equation and table-based graphs, zoom them, rotate, view at any angle and even animate. You can draw the unlimited number of graphs in one coordinate system to compare and analyze the domains of functions and their intercepts. Functions can be parametric, and can include a time variable - this feature allows creation of animated graphs and models. The intuitive interface is a major strong point of the application - you can just play with the program for several minutes to figure out how it works.

You can read more about 3D Grapher and download it at www.romanlab.com/3dg.


Getting Started

Here you can find how to perform the basic operations with the program.

Create a new file

If you opened a file or added some information before, click [image] or press Ctrl+N. All records and folders will be deleted. If this information has not been saved, you will be prompted to do it.
Add new data

You can add password records and folders. Folders can contain records or another folders. Click [image] or press Ctrl+F to add a new folder. Click [image] or press Ctrl+P to add a new password record. After adding an item you should enter its name. Then you can fill all the necessary fields. You can enter your existing password in the Password field or generate a new unique password.
Generate new passwords
It is possible to generate new passwords in random manner. Click [image] to bring up the Password Generator dialog. Here you can define which characters will be used and a length of the password. Press the Generate button to make the password and preview it. Then press OK to close the dialog and place the password to the corresponding field of the record.
Search
You can find any record in the opened file using the incremental search feature. First of all select the fields which will be scanned during the search. For that click the down arrow next to the [image] button and select all the necessary fields. To begin search start entering desired text in the search field and the first appropriate record will be displayed. To find the next appropriate record click [image] or press F3.
Change file password
Select the File | Master Password command, then enter a new password in the Password and Confirm fields. If you don't want to set a password, simply leave the fields blank. You can also set file password in the Save As dialog.
Open a file
Click [image] or press Ctrl+O and select a file. You can click the down arrow next to the [image] button to select one of the recently opened files. If you want the program to open the last used file when it starts, check the Open recent file on starting option in the Options dialog. You can also open a file by double-clicking it in the Explorer.


Commands

Button | Command | Shortcut | Description
 | New | Ctrl+N | Create a new file
 | Open... | Ctrl+O | Open an existing file
 | Save | Ctrl+S | Save the current file
 | Save As... | Shift+Ctrl+S | Save the current file with a new name or password
 | Master Password... |  | Set master password for the current file
 | Read Only Mode | Ctrl+R | Enable or disable read only mode
 | Import from CSV... | Ctrl+I | Import data from a CSV file
 | Export to CSV... | Ctrl+E | Export data to a CSV file
 | Options... | F4 | Display the Options dialog
 | Exit | Alt+F4 | Quit the application
 | New Password | Ctrl+P | Create a new password record
 | New Folder | Ctrl+F | Create a new folder
 | Rename | F2 | Rename the selected item
 | Cut | Ctrl+X | Cut the selected record and put it on the Clipboard
 | Copy | Ctrl+C | Copy the selected record on the Clipboard
 | Paste | Ctrl+V | Paste a record from the Clipboard
 | Delete | Ctrl+Del | Delete the selected item
 | Find Next | F3 | Find next record
 | Help Topics | F1 | Display this help information
 | About... | Ctrl+F1 | Display information about the program


Import/Export Format

You can import and export your data in the CSV (comma-separated values) file format. The file consists of lines with the following format:

record_name, user_name, password, url, comment, modification_date

When exporting data, any field value that include spaces, commas or quotes will be contained in double quotes, and any double quotes in a field value will be repeated.

When importing, each line is parsed as SDF (system data format) formatted text. For SDF format, strings are separated by commas or spaces, and optionally enclosed in double quotes. Double quote marks that are part of the string are repeated to distinguish them from the quotes that surround the string. Spaces and commas that are not contained within double quote marks are delimiters. Two commas next to each other will indicate an empty string, but spaces that appear next to another delimiter are ignored.